#ifndef __UTILFUNC__
#define __UTILFUNC__

#include <culapack.h>
#include <cublas.h>
#include "common.h"

extern "C"
int find_index(int a[], int num_elements, int value);

extern "C"
int makingDivide(int size_x, int* p, int pMax, int* dSize_x_l, int* s_f, int* s_l);

extern "C"
int decDivideCnt(int objSize, int* pMax, struct paramsStr params);

extern "C"
int parseParams(int argc, char** argv, struct paramsStr *params);

void errorExit(int i);

/* Check for errors and exit if one occurred */
void checkStatus(culaStatus status, struct paramsStr params);

/* Check for errors and exit if one occurred */
int cublasCheckStatus(cublasStatus status, struct paramsStr params);

#endif
